### Hierarchy

- State

## Index

### Constructors

- constructor

### Properties

- from
- to
- value

### Methods

- serialize
- deserialize

## Constructors

### constructor

- new State(from: Address, to: Address, value: string): State

- - Defined in smartcontract/nativevm/token.ts:108

  #### Parameters

  - ##### from: Address

  - ##### to: Address

  - ##### value: string

  #### Returns State

## Properties

### from

from: Address

- Defined in smartcontract/nativevm/token.ts:106

### to

to: Address

- Defined in smartcontract/nativevm/token.ts:107

### value

value: string

- Defined in smartcontract/nativevm/token.ts:108

## Methods

### serialize

- serialize(): string

- - Defined in smartcontract/nativevm/token.ts:120

  #### Returns string

### Static deserialize

- deserialize(sr: StringReader): State

- - Defined in smartcontract/nativevm/token.ts:92

  #### Parameters

  - ##### sr: StringReader

  #### Returns State

Generated using TypeDoc